package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 裂解炉炉管测温对象 t_furnance_temperature
 *
 * @author ssy
 * @date 2024-03-21
 */
public class TFurnanceTemperature extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 裂解炉名称 */
    @Excel(name = "裂解炉名称")
    private String furnanceName;

    /** 巡检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "巡检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordTime;

    /** PASS1 */
    @Excel(name = "PASS1")
    private String pass1;

    /** PASS2 */
    @Excel(name = "PASS2")
    private String pass2;

    /** PASS3 */
    @Excel(name = "PASS3")
    private String pass3;

    /** PASS4 */
    @Excel(name = "PASS4")
    private String pass4;

    /** PASS5 */
    @Excel(name = "PASS5")
    private String pass5;

    /** PASS6 */
    @Excel(name = "PASS6")
    private String pass6;

    /** PASS7 */
    @Excel(name = "PASS7")
    private String pass7;

    /** PASS8 */
    @Excel(name = "PASS8")
    private String pass8;

    /** PASS9 */
    @Excel(name = "PASS9")
    private String pass9;

    /** PASS10 */
    @Excel(name = "PASS10")
    private String pass10;

    /** PASS11 */
    @Excel(name = "PASS11")
    private String pass11;

    /** PASS12 */
    @Excel(name = "PASS12")
    private String pass12;

    /** PASS13 */
    @Excel(name = "PASS13")
    private String pass13;

    /** PASS14 */
    @Excel(name = "PASS14")
    private String pass14;

    /** PASS15 */
    @Excel(name = "PASS15")
    private String pass15;

    /** PASS16 */
    @Excel(name = "PASS16")
    private String pass16;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 状态 */
    private String status;

    /** 班组 */
    @Excel(name = "班值", dictType = "TEAM_DIVIDE")
    private String team;

    private double progress;

    private boolean isPass1Complete;

    private boolean isPass2Complete;

    private boolean isPass3Complete;

    private boolean isPass4Complete;

    private boolean isPass5Complete;

    private boolean isPass6Complete;

    private boolean isPass7Complete;

    private boolean isPass8Complete;

    private boolean isPass9Complete;

    private boolean isPass10Complete;

    private boolean isPass11Complete;

    private boolean isPass12Complete;

    private boolean isPass13Complete;

    private boolean isPass14Complete;

    private boolean isPass15Complete;

    private boolean isPass16Complete;

    public double getProgress() {
        return progress;
    }

    public void setProgress(double progress) {
        this.progress = progress;
    }

    public boolean isPass1Complete() {
        return isPass1Complete;
    }

    public void setPass1Complete(boolean pass1Complete) {
        isPass1Complete = pass1Complete;
    }

    public boolean isPass2Complete() {
        return isPass2Complete;
    }

    public void setPass2Complete(boolean pass2Complete) {
        isPass2Complete = pass2Complete;
    }

    public boolean isPass3Complete() {
        return isPass3Complete;
    }

    public void setPass3Complete(boolean pass3Complete) {
        isPass3Complete = pass3Complete;
    }

    public boolean isPass4Complete() {
        return isPass4Complete;
    }

    public void setPass4Complete(boolean pass4Complete) {
        isPass4Complete = pass4Complete;
    }

    public boolean isPass5Complete() {
        return isPass5Complete;
    }

    public void setPass5Complete(boolean pass5Complete) {
        isPass5Complete = pass5Complete;
    }

    public boolean isPass6Complete() {
        return isPass6Complete;
    }

    public void setPass6Complete(boolean pass6Complete) {
        isPass6Complete = pass6Complete;
    }

    public boolean isPass7Complete() {
        return isPass7Complete;
    }

    public void setPass7Complete(boolean pass7Complete) {
        isPass7Complete = pass7Complete;
    }

    public boolean isPass8Complete() {
        return isPass8Complete;
    }

    public void setPass8Complete(boolean pass8Complete) {
        isPass8Complete = pass8Complete;
    }

    public boolean isPass9Complete() {
        return isPass9Complete;
    }

    public void setPass9Complete(boolean pass9Complete) {
        isPass9Complete = pass9Complete;
    }

    public boolean isPass10Complete() {
        return isPass10Complete;
    }

    public void setPass10Complete(boolean pass10Complete) {
        isPass10Complete = pass10Complete;
    }

    public boolean isPass11Complete() {
        return isPass11Complete;
    }

    public void setPass11Complete(boolean pass11Complete) {
        isPass11Complete = pass11Complete;
    }

    public boolean isPass12Complete() {
        return isPass12Complete;
    }

    public void setPass12Complete(boolean pass12Complete) {
        isPass12Complete = pass12Complete;
    }

    public boolean isPass13Complete() {
        return isPass13Complete;
    }

    public void setPass13Complete(boolean pass13Complete) {
        isPass13Complete = pass13Complete;
    }

    public boolean isPass14Complete() {
        return isPass14Complete;
    }

    public void setPass14Complete(boolean pass14Complete) {
        isPass14Complete = pass14Complete;
    }

    public boolean isPass15Complete() {
        return isPass15Complete;
    }

    public void setPass15Complete(boolean pass15Complete) {
        isPass15Complete = pass15Complete;
    }

    public boolean isPass16Complete() {
        return isPass16Complete;
    }

    public void setPass16Complete(boolean pass16Complete) {
        isPass16Complete = pass16Complete;
    }

    public String getTeam() {
        return team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFurnanceName(String furnanceName)
    {
        this.furnanceName = furnanceName;
    }

    public String getFurnanceName()
    {
        return furnanceName;
    }
    public void setRecordTime(Date recordTime)
    {
        this.recordTime = recordTime;
    }

    public Date getRecordTime()
    {
        return recordTime;
    }
    public void setPass1(String pass1)
    {
        this.pass1 = pass1;
    }

    public String getPass1()
    {
        return pass1;
    }
    public void setPass2(String pass2)
    {
        this.pass2 = pass2;
    }

    public String getPass2()
    {
        return pass2;
    }
    public void setPass3(String pass3)
    {
        this.pass3 = pass3;
    }

    public String getPass3()
    {
        return pass3;
    }
    public void setPass4(String pass4)
    {
        this.pass4 = pass4;
    }

    public String getPass4()
    {
        return pass4;
    }
    public void setPass5(String pass5)
    {
        this.pass5 = pass5;
    }

    public String getPass5()
    {
        return pass5;
    }
    public void setPass6(String pass6)
    {
        this.pass6 = pass6;
    }

    public String getPass6()
    {
        return pass6;
    }
    public void setPass7(String pass7)
    {
        this.pass7 = pass7;
    }

    public String getPass7()
    {
        return pass7;
    }
    public void setPass8(String pass8)
    {
        this.pass8 = pass8;
    }

    public String getPass8()
    {
        return pass8;
    }
    public void setPass9(String pass9)
    {
        this.pass9 = pass9;
    }

    public String getPass9()
    {
        return pass9;
    }
    public void setPass10(String pass10)
    {
        this.pass10 = pass10;
    }

    public String getPass10()
    {
        return pass10;
    }
    public void setPass11(String pass11)
    {
        this.pass11 = pass11;
    }

    public String getPass11()
    {
        return pass11;
    }
    public void setPass12(String pass12)
    {
        this.pass12 = pass12;
    }

    public String getPass12()
    {
        return pass12;
    }
    public void setPass13(String pass13)
    {
        this.pass13 = pass13;
    }

    public String getPass13()
    {
        return pass13;
    }
    public void setPass14(String pass14)
    {
        this.pass14 = pass14;
    }

    public String getPass14()
    {
        return pass14;
    }

    public String getPass15() {
        return pass15;
    }

    public void setPass15(String pass15) {
        this.pass15 = pass15;
    }

    public String getPass16() {
        return pass16;
    }

    public void setPass16(String pass16) {
        this.pass16 = pass16;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("furnanceName", getFurnanceName())
            .append("recordTime", getRecordTime())
            .append("pass1", getPass1())
            .append("pass2", getPass2())
            .append("pass3", getPass3())
            .append("pass4", getPass4())
            .append("pass5", getPass5())
            .append("pass6", getPass6())
            .append("pass7", getPass7())
            .append("pass8", getPass8())
            .append("pass9", getPass9())
            .append("pass10", getPass10())
            .append("pass11", getPass11())
            .append("pass12", getPass12())
            .append("pass13", getPass13())
            .append("pass14", getPass14())
            .append("pass15", getPass15())
            .append("pass16", getPass16())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
